{
  "extends": "@vue/tsconfig/tsconfig.web.json",
  "include": [
    "env.d.ts",
    "src/**/*",
    "src/**/*.vue"
  ],
  "compilerOptions": {
    "baseUrl": ".",
    "target": "ES2022",
    "lib": [
      "ES2022",
      "DOM"
    ],
    "module": "NodeNext",
    "moduleResolution": "NodeNext",
    "paths": {
      "@/*": [
        "./src/*"
      ]
    },
    "ignoreDeprecations": "5.0",
    "esModuleInterop": true,
  },
  "references": [
    {
      "path": "./tsconfig.config.json"
    }
  ]
}